#!/usr/bin/env python3

from tkinter import *


class App(Canvas):
    def __init__(self, parent):
        super().__init__(parent, width=640, height=480)
        self.target_id = self.create_rectangle(320, 240, 330, 250)
        self.bind("<Button-1>", self.on_click)

    def on_click(self, event):
        x = self.canvasx(event.x)
        y = self.canvasy(event.y)
        self.coords(self.target_id, x, y, x+10, y+10)


root = Tk()
App(root).pack()
root.mainloop()
